TPutResult (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class TPutResult

- java.lang.Object
- - com.sleepycat.thrift.TPutResult

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TPutResult>, org.apache.thrift.TBase<TPutResult,TPutResult._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class TPutResult
      extends java.lang.Object
      implements org.apache.thrift.TBase<TPutResult,TPutResult._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TPutResult>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TPutResult._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Map<TPutResult._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `java.nio.ByteBuffer` | `newRecordNumber`
    `TOperationStatus` | `status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TPutResult()`
    `TPutResult(TOperationStatus status)`
    `TPutResult(TPutResult other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.ByteBuffer` | `bufferForNewRecordNumber()`
    `void` | `clear()`
    `int` | `compareTo(TPutResult other)`
    `TPutResult` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(TPutResult that)`
    `TPutResult._Fields` | `fieldForId(int fieldId)`
    `java.lang.Object` | `getFieldValue(TPutResult._Fields field)`
    `byte[]` | `getNewRecordNumber()`
    `TOperationStatus` | `getStatus()`
    `int` | `hashCode()`
    `boolean` | `isSet(TPutResult._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNewRecordNumber()` Returns true if field newRecordNumber is set (has been assigned a value) and false otherwise
    `boolean` | `isSetStatus()` Returns true if field status is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `void` | `setFieldValue(TPutResult._Fields field, java.lang.Object value)`
    `TPutResult` | `setNewRecordNumber(byte[] newRecordNumber)`
    `TPutResult` | `setNewRecordNumber(java.nio.ByteBuffer newRecordNumber)`
    `void` | `setNewRecordNumberIsSet(boolean value)`
    `TPutResult` | `setStatus(TOperationStatus status)`
    `void` | `setStatusIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetNewRecordNumber()`
    `void` | `unsetStatus()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### status

          public TOperationStatus status

      See Also:
        `TOperationStatus`

    - #### newRecordNumber

          public java.nio.ByteBuffer newRecordNumber

    - #### metaDataMap

          public static final java.util.Map<TPutResult._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TPutResult

          public TPutResult()

    - #### TPutResult

          public TPutResult(TOperationStatus status)

    - #### TPutResult

          public TPutResult(TPutResult other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TPutResult deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<TPutResult,TPutResult._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<TPutResult,TPutResult._Fields>`

    - #### getStatus

          public TOperationStatus getStatus()

      See Also:
        `TOperationStatus`

    - #### setStatus

          public TPutResult setStatus(TOperationStatus status)

      See Also:
        `TOperationStatus`

    - #### unsetStatus

          public void unsetStatus()

    - #### isSetStatus

          public boolean isSetStatus()

      Returns true if field status is set (has been assigned a value) and false otherwise

    - #### setStatusIsSet

          public void setStatusIsSet(boolean value)

    - #### getNewRecordNumber

          public byte[] getNewRecordNumber()

    - #### bufferForNewRecordNumber

          public java.nio.ByteBuffer bufferForNewRecordNumber()

    - #### setNewRecordNumber

          public TPutResult setNewRecordNumber(byte[] newRecordNumber)

    - #### setNewRecordNumber

          public TPutResult setNewRecordNumber(java.nio.ByteBuffer newRecordNumber)

    - #### unsetNewRecordNumber

          public void unsetNewRecordNumber()

    - #### isSetNewRecordNumber

          public boolean isSetNewRecordNumber()

      Returns true if field newRecordNumber is set (has been assigned a value) and false otherwise

    - #### setNewRecordNumberIsSet

          public void setNewRecordNumberIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TPutResult._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<TPutResult,TPutResult._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(TPutResult._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<TPutResult,TPutResult._Fields>`

    - #### isSet

          public boolean isSet(TPutResult._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<TPutResult,TPutResult._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TPutResult that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TPutResult other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TPutResult>`

    - #### fieldForId

          public TPutResult._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<TPutResult,TPutResult._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.